Open CASCADE Technology: BinMDF_ADriverTable Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BinMDF_ADriverTable Class Reference

A driver table is an object building links between object types and object drivers. In the translation process, a driver table is asked to give a translation driver for each current object to be translated. More...

`#include <BinMDF_ADriverTable.hxx>`

Inheritance diagram for BinMDF_ADriverTable:
[legend]

## Public Member Functions
| BinMDF_ADriverTable ()
| Constructor. More...
void | AddDriver (const Handle< BinMDF_ADriver > &theDriver)
| Adds a translation driver <theDriver>. More...
void | AssignIds (const TColStd_IndexedMapOfTransient &theTypes)
| Assigns the IDs to the drivers of the given Types. It uses indices in the map as IDs. Useful in storage procedure. More...
void | AssignIds (const TColStd_SequenceOfAsciiString &theTypeNames)
| Assigns the IDs to the drivers of the given Type Names; It uses indices in the sequence as IDs. Useful in retrieval procedure. More...
Standard_Integer | GetDriver (const Handle< Standard_Type > &theType, Handle< BinMDF_ADriver > &theDriver) const
| Gets a driver <theDriver> according to <theType>. Returns Type ID if the driver was assigned an ID; 0 otherwise. More...
Handle< BinMDF_ADriver > | GetDriver (const Standard_Integer theTypeId) const
| Returns a driver according to <theTypeId>. Returns null handle if a driver is not found. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

A driver table is an object building links between object types and object drivers. In the translation process, a driver table is asked to give a translation driver for each current object to be translated.

## Constructor & Destructor Documentation

BinMDF_ADriverTable::BinMDF_ADriverTable | ( |  | ) |

Constructor.

## Member Function Documentation

void BinMDF_ADriverTable::AddDriver | ( | const Handle< BinMDF_ADriver > & | theDriver | ) |

Adds a translation driver <theDriver>.

void BinMDF_ADriverTable::AssignIds | ( | const TColStd_IndexedMapOfTransient & | theTypes | ) |

Assigns the IDs to the drivers of the given Types. It uses indices in the map as IDs. Useful in storage procedure.

void BinMDF_ADriverTable::AssignIds | ( | const TColStd_SequenceOfAsciiString & | theTypeNames | ) |

Assigns the IDs to the drivers of the given Type Names; It uses indices in the sequence as IDs. Useful in retrieval procedure.

Standard_Integer BinMDF_ADriverTable::GetDriver | ( | const Handle< Standard_Type > & | theType,
|  | Handle< BinMDF_ADriver > & | theDriver
| ) |  | const

Gets a driver <theDriver> according to <theType>. Returns Type ID if the driver was assigned an ID; 0 otherwise.

Handle< BinMDF_ADriver > BinMDF_ADriverTable::GetDriver | ( | const Standard_Integer | theTypeId | ) | const

Returns a driver according to <theTypeId>. Returns null handle if a driver is not found.

The documentation for this class was generated from the following file:

- BinMDF_ADriverTable.hxx